Summary:     Yahoo! transport for the jabber server
Name:        jabber-yahoo
Version:     2.3.2
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://yahoo-transport.jabberstudio.org/yahoo-transport-%{version}.tar.gz
Source1:     jabberd-yahoo.init
Source2:     yahoo.xml
Patch0:      yahoo-transport-%{version}-make.patch
URL:         http://yahoo-transport.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Paul Curtis <pcurtis@www.terrapin.com>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    jabber >= 1.4.4 glib openssl097 pth
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: jabber >= 1.4.4 glib-devel openssl097-devel pth-devel
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the Yahoo! transport.


%prep
%setup -q -n yahoo-transport-%{version}
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 *.so $RPM_BUILD_ROOT/usr/jabber/lib
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-yahoo
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/yahoo.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/yahoo.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/yahoo.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-yahoo


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/yahoo.xml
/sbin/chkconfig --add jabberd-yahoo
/sbin/chkconfig jabberd-yahoo on
if [ -s /etc/jabber/yahoo.xml ]; then
  if [ -f /var/lock/subsys/jabberd-yahoo ]; then
    /etc/rc.d/init.d/jabberd-yahoo restart
  else
    /etc/rc.d/init.d/jabberd-yahoo start
  fi
else
  echo "Yahoo! transport installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <yahoo-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-yahoo off
  /sbin/chkconfig --del jabberd-yahoo
  if [ -f /var/lock/subsys/jabberd-yahoo ]; then
    /etc/rc.d/init.d/jabberd-yahoo stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "Yahoo! transport deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Thu Jul 14 2005 peter.pramberger@member.fsf.org
- new version 2.3.2
- updated for jabber 1.4.4
- removed package devel

* Mon Jun 28 2004 peter.pramberger@member.fsf.org
- added new yahoo auth patch
- compiled against openssl097
- some spec file cleanups

* Mon Jan 19 2004 peter.pramberger@member.fsf.org
- new version 2.3.1

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Mon Nov 03 2003 peter.pramberger@member.fsf.org
- new version 2.2.0

* Fri Jun 27 2003 peter.pramberger@member.fsf.org
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@member.fsf.org
- new version 2.1.1
- minor bugfixes

* Sat May 18 2002 peter.pramberger@member.fsf.org
- created

